apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: default-network-policy
  namespace: {{ .Values.namespaces.data }}
spec:
  podSelector: {}
  policyTypes:
    - Ingress
    - Egress
  egress:
    # allow DNS resolution
    - to:
      - namespaceSelector:
          matchLabels:
            kubernetes.io/metadata.name: kube-system
        podSelector:
          matchLabels:
            k8s-app: {{ .Values.global.kubeDnsK8sAppLabel }}
      - namespaceSelector:
          matchLabels:
            kubernetes.io/metadata.name: {{ .Values.namespaces.transaction }}
        podSelector:
          matchLabels:
            app.kubernetes.io/name: postgresql
      - namespaceSelector:
          matchLabels:
            kubernetes.io/metadata.name: {{ .Values.namespaces.control }}
        podSelector:
          matchLabels:
            app.kubernetes.io/name: transaction-service
      - ipBlock:
          cidr: "{{ .Values.cluster.internalApiEndpoint }}/32"
